org.wildfly.swarm.config.mail

## Class MailSession<T extends MailSession<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.mail.MailSession<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map
  Direct Known Subclasses:
    EnhancedMailSession

      public class MailSession<T extends MailSession<T>>
      extends HashMap

  Mail session definition
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `MailSession.MailSessionResources` Child mutators for MailSession

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MailSession(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `T` | `custom(Custom value)` Add the Custom object to the list of subresources
    `T` | `custom(CustomSupplier supplier)` Install a supplied Custom object to the list of subresources
    `T` | `custom(String childKey)` Create and configure a Custom object to the list of subresources
    `T` | `custom(String childKey, CustomConsumer consumer)` Create and configure a Custom object to the list of subresources
    `T` | `customs(List<Custom> value)` Add all Custom objects to this subresource
    `Boolean` | `debug()` Enables JavaMail debugging
    `T` | `debug(Boolean value)` Enables JavaMail debugging
    `String` | `from()` From address that is used as default from, if not set when sending
    `T` | `from(String value)` From address that is used as default from, if not set when sending
    `String` | `getKey()`
    `T` | `imapServer()` Mail session server
    `T` | `imapServer(IMAPServer value)` Mail session server
    `T` | `imapServer(IMAPServerConsumer consumer)` Mail session server
    `T` | `imapServer(IMAPServerSupplier supplier)` Mail session server
    `String` | `jndiName()` JNDI name to where mail session should be bound
    `T` | `jndiName(String value)` JNDI name to where mail session should be bound
    `T` | `pop3Server()` Mail session server
    `T` | `pop3Server(POP3Server value)` Mail session server
    `T` | `pop3Server(POP3ServerConsumer consumer)` Mail session server
    `T` | `pop3Server(POP3ServerSupplier supplier)` Mail session server
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `T` | `smtpServer()` Mail session server
    `T` | `smtpServer(SMTPServer value)` Mail session server
    `T` | `smtpServer(SMTPServerConsumer consumer)` Mail session server
    `T` | `smtpServer(SMTPServerSupplier supplier)` Mail session server
    `MailSession.MailSessionResources` | `subresources()`

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### MailSession

          public MailSession(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public MailSession.MailSessionResources subresources()

    - #### customs

          public T customs(List<Custom> value)

      Add all Custom objects to this subresource
      Parameters:
        `value` - List of Custom objects.
      Returns:
        this

    - #### custom

          public T custom(Custom value)

      Add the Custom object to the list of subresources
      Parameters:
        `value` - The Custom to add
      Returns:
        this

    - #### custom

          public T custom(String childKey,
                          CustomConsumer consumer)

      Create and configure a Custom object to the list of subresources
      Parameters:
        `key` - The key for the Custom resource
        `config` - The CustomConsumer to use
      Returns:
        this

    - #### custom

          public T custom(String childKey)

      Create and configure a Custom object to the list of subresources
      Parameters:
        `key` - The key for the Custom resource
      Returns:
        this

    - #### custom

          public T custom(CustomSupplier supplier)

      Install a supplied Custom object to the list of subresources

    - #### pop3Server

          public T pop3Server(POP3Server value)

      Mail session server

    - #### pop3Server

          public T pop3Server(POP3ServerConsumer consumer)

      Mail session server

    - #### pop3Server

          public T pop3Server()

      Mail session server

    - #### pop3Server

          public T pop3Server(POP3ServerSupplier supplier)

      Mail session server

    - #### smtpServer

          public T smtpServer(SMTPServer value)

      Mail session server

    - #### smtpServer

          public T smtpServer(SMTPServerConsumer consumer)

      Mail session server

    - #### smtpServer

          public T smtpServer()

      Mail session server

    - #### smtpServer

          public T smtpServer(SMTPServerSupplier supplier)

      Mail session server

    - #### imapServer

          public T imapServer(IMAPServer value)

      Mail session server

    - #### imapServer

          public T imapServer(IMAPServerConsumer consumer)

      Mail session server

    - #### imapServer

          public T imapServer()

      Mail session server

    - #### imapServer

          public T imapServer(IMAPServerSupplier supplier)

      Mail session server

    - #### debug

          public Boolean debug()

      Enables JavaMail debugging

    - #### debug

          public T debug(Boolean value)

      Enables JavaMail debugging

    - #### from

          public String from()

      From address that is used as default from, if not set when sending

    - #### from

          public T from(String value)

      From address that is used as default from, if not set when sending

    - #### jndiName

          public String jndiName()

      JNDI name to where mail session should be bound

    - #### jndiName

          public T jndiName(String value)

      JNDI name to where mail session should be bound

Copyright © 2018 JBoss by Red Hat. All rights reserved.